> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blinkops.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Custom Object Records

Retrieve all records of a custom object.

> [!NOTE]
>
> External Documentation
>
> To learn more, visit the [Freshservice documentation](https://api.freshservice.com/#list_all_custom_object_records).

## Parameters

| Parameter | Description |
| - | - |
| Custom Object ID | The ID of a Custom object. Can be obtained by the `List Custom Objects` action. |
| Page | The page number of the results to retrieve. |
| Per Page | The maximum number of records to retrieve per page. Values can range from `1` to `100`. |
| Query | The query to filter records by. For more information regarding the query parameter, please refer to [Freshservice documentation](https://api.freshservice.com/#list_all_custom_object_records). |
| Return All Pages | Automatically fetch all resources, page by page. |
| Sort Field | The record field to sort by. |
| Sort Order | Sort direction for `sort_field`. |

## Example Output

```json theme={"dark"}
{
	"records": [
		{
			"data": {
				"agent_group": {
					"id": 5175560,
					"value": "Service Request Fulfillment Team"
				},
				"approver": {
					"id": 1232007392,
					"value": "Jack <jack@domain.freshservice.com>"
				},
				"bo_created_at": "2021-02-17T14:29:08.143Z",
				"bo_created_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_display_id": 4,
				"bo_updated_at": "2021-02-17T14:29:08.143Z",
				"bo_updated_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"category_dd1": "Software",
				"category_dd2": null,
				"category_dd3": null,
				"item_name": {
					"id": 1011125273,
					"value": "Adobe Photoshop CS6"
				},
				"vendor_information": "Adobe- sales@adobe.com"
			}
		},
		{
			"data": {
				"agent_group": {
					"id": 5175560,
					"value": "Service Request Fulfillment Team"
				},
				"approver": {
					"id": 1232007392,
					"value": "Jack <jack@domain.freshservice.com>"
				},
				"bo_created_at": "2021-02-17T14:29:08.134Z",
				"bo_created_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_display_id": 3,
				"bo_updated_at": "2021-02-17T14:29:08.134Z",
				"bo_updated_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"category_dd1": "Software",
				"category_dd2": null,
				"category_dd3": null,
				"item_name": {
					"id": 1011125302,
					"value": "Adobe Illustrator CC"
				},
				"vendor_information": "Adobe- sales@adobe.com"
			}
		},
		{
			"data": {
				"agent_group": {
					"id": 5175565,
					"value": "Hardware Team"
				},
				"approver": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_created_at": "2021-02-17T14:29:08.125Z",
				"bo_created_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_display_id": 2,
				"bo_updated_at": "2021-02-17T14:29:08.125Z",
				"bo_updated_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"category_dd1": "Hardware",
				"category_dd2": null,
				"category_dd3": null,
				"item_name": {
					"id": 1011125280,
					"value": "Apple MacBook"
				},
				"vendor_information": "Apple-sales@apple.com"
			}
		},
		{
			"data": {
				"agent_group": {
					"id": 5175565,
					"value": "Hardware Team"
				},
				"approver": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_created_at": "2021-02-17T14:29:08.115Z",
				"bo_created_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"bo_display_id": 1,
				"bo_updated_at": "2021-02-17T14:29:08.115Z",
				"bo_updated_by": {
					"id": 1232007377,
					"value": "Andrea <andrea@domain.freshservice.com>"
				},
				"category_dd1": "Hardware",
				"category_dd2": null,
				"category_dd3": null,
				"item_name": {
					"id": 1011125271,
					"value": "Windows Laptop"
				},
				"vendor_information": "Microsoft - sales@microsoft.com"
			}
		}
	],
	"meta": {
		"total_records": 4
	}
}
```

## Workflow Library Example

[List Custom Object Records with Freshservice and Send Results Via Email](https://library.blinkops.com/workflows/list-custom-object-records-with-freshservice-and-send-results-via-email)

![Workflow Library](https://mintcdn.com/blinkops-2/ojHYuDeYX5FWuN8a/img/Icons/play-box.svg?fit=max\&auto=format\&n=ojHYuDeYX5FWuN8a\&q=85\&s=b8af968e71438a9499c3223c9bd29fb2)

Preview this Workflow on desktop

[https://library.blinkops.com/workflows/list-custom-object-records-with-freshservice-and-send-results-via-email/canvas](https://library.blinkops.com/workflows/list-custom-object-records-with-freshservice-and-send-results-via-email/canvas)
